Cgl 0.59.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
ClpPrimalQuadraticDantzig Class Reference

Primal Column Pivot Dantzig Algorithm Class. More...

`#include <ClpPrimalQuadraticDantzig.hpp>`

Inheritance diagram for ClpPrimalQuadraticDantzig:
[legend]
Collaboration diagram for ClpPrimalQuadraticDantzig:
[legend]

## Public Member Functions
Algorithmic methods
virtual int | pivotColumn (CoinIndexedVector *updates, CoinIndexedVector *spareRow1, CoinIndexedVector *spareRow2, CoinIndexedVector *spareColumn1, CoinIndexedVector *spareColumn2)
| Returns pivot column, -1 if none. More...
virtual void | saveWeights (ClpSimplex *model, int mode)
| Just sets model. More...
Constructors and destructors
| ClpPrimalQuadraticDantzig ()
| Default Constructor. More...
| ClpPrimalQuadraticDantzig (const ClpPrimalQuadraticDantzig &)
| Copy constructor. More...
| ClpPrimalQuadraticDantzig (ClpSimplexPrimalQuadratic *model, ClpQuadraticInfo *info)
| Constructor from model. More...
ClpPrimalQuadraticDantzig & | operator= (const ClpPrimalQuadraticDantzig &rhs)
| Assignment operator. More...
virtual | ~ClpPrimalQuadraticDantzig ()
| Destructor. More...
virtual ClpPrimalColumnPivot * | clone (bool copyData=true) const
| Clone. More...
Public Member Functions inherited from ClpPrimalColumnPivot
virtual void | updateWeights (CoinIndexedVector *input)
| Updates weights - part 1 (may be empty) More...
virtual int | pivotRow (double &way)
| Signals pivot row choice: -2 (default) - use normal pivot row choice -1 to numberRows-1 - use this (will be checked) way should be -1 to go to lower bound, +1 to upper bound. More...
virtual void | clearArrays ()
| Gets rid of all arrays (may be empty) More...
virtual bool | looksOptimal () const
| Returns true if would not find any column. More...
virtual void | setLooksOptimal (bool flag)
| Sets optimality flag (for advanced use) More...
| ClpPrimalColumnPivot ()
| Default Constructor. More...
| ClpPrimalColumnPivot (const ClpPrimalColumnPivot &)
| Copy constructor. More...
ClpPrimalColumnPivot & | operator= (const ClpPrimalColumnPivot &rhs)
| Assignment operator. More...
virtual | ~ClpPrimalColumnPivot ()
| Destructor. More...
ClpSimplex * | model ()
| Returns model. More...
void | setModel (ClpSimplex *newmodel)
| Sets model. More...
int | type ()
| Returns type (above 63 is extra information) More...
virtual int | numberSprintColumns (int &numberIterations) const
| Returns number of extra columns for sprint algorithm - 0 means off. More...
virtual void | switchOffSprint ()
| Switch off sprint idea. More...
virtual void | maximumPivotsChanged ()
| Called when maximum pivots changes. More...

## Private Attributes
Private member data
Pointer to info
ClpQuadraticInfo * | quadraticInfo_

## Additional Inherited Members
Protected Attributes inherited from ClpPrimalColumnPivot
ClpSimplex * | model_
| Pointer to model. More...
int | type_
| Type of column pivot algorithm. More...
bool | looksOptimal_
| Says if looks optimal (normally computed) More...

## Detailed Description

Primal Column Pivot Dantzig Algorithm Class.

This is simplest choice - choose largest infeasibility

Definition at line 20 of file ClpPrimalQuadraticDantzig.hpp.

## Constructor & Destructor Documentation

ClpPrimalQuadraticDantzig::ClpPrimalQuadraticDantzig | ( |  | ) |

Default Constructor.

ClpPrimalQuadraticDantzig::ClpPrimalQuadraticDantzig | ( | const ClpPrimalQuadraticDantzig & |  | ) |

Copy constructor.

ClpPrimalQuadraticDantzig::ClpPrimalQuadraticDantzig | ( | ClpSimplexPrimalQuadratic * | model,
|  | ClpQuadraticInfo * | info
| ) |  |

Constructor from model.

virtual ClpPrimalQuadraticDantzig::~ClpPrimalQuadraticDantzig | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

virtual int ClpPrimalQuadraticDantzig::pivotColumn | ( | CoinIndexedVector * | updates,
|  | CoinIndexedVector * | spareRow1,
|  | CoinIndexedVector * | spareRow2,
|  | CoinIndexedVector * | spareColumn1,
|  | CoinIndexedVector * | spareColumn2
| ) |  |
| virtual

Returns pivot column, -1 if none.

Lumbers over all columns - slow updateArray has cost updates (also use pivotRow_ from last iteration) Can just do full price if you really want to be slow

Implements ClpPrimalColumnPivot.

virtual void ClpPrimalQuadraticDantzig::saveWeights | ( | ClpSimplex * | model,
|  | int | mode
| ) |  |
| inline virtual

Just sets model.

Implements ClpPrimalColumnPivot.

Definition at line 39 of file ClpPrimalQuadraticDantzig.hpp.

ClpPrimalQuadraticDantzig& ClpPrimalQuadraticDantzig::operator= | ( | const ClpPrimalQuadraticDantzig & | rhs | ) |

Assignment operator.

virtual ClpPrimalColumnPivot* ClpPrimalQuadraticDantzig::clone | ( | bool | copyData = `true` | ) | const
| virtual

Clone.

Implements ClpPrimalColumnPivot.

## Member Data Documentation

ClpQuadraticInfo* ClpPrimalQuadraticDantzig::quadraticInfo_
| private

Definition at line 73 of file ClpPrimalQuadraticDantzig.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cgl-0.59.7/Clp/src/ClpPrimalQuadraticDantzig.hpp